Bug 87990 - Switch autoupdate settings to Preferences API
Switch autoupdate settings to Preferences API
Status: RESOLVED FIXED
Product: platform
Classification: Unclassified
Component: Autoupdate
6.x
All All
: P2 (vote)
: 6.x
Assigned To: Jiri Rechtacek
issues@platform
: API_REVIEW_FAST
Depends on:
Blocks: 77030
  Show dependency treegraph
 
Reported: 2006-10-25 17:44 UTC by rmatous
Modified: 2006-11-29 14:16 UTC (History)
3 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
apichanges.xml (2.21 KB, patch)
2006-11-02 10:43 UTC, rmatous
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description rmatous 2006-10-25 17:44:01 UTC
Switch settings to Preferences API
Comment 1 rmatous 2006-10-30 14:15:46 UTC
/cvs/autoupdate/src/org/netbeans/modules/autoupdate/Settings.java,v  <-- 
Settings.java
new revision: 1.35; previous revision: 1.34

/cvs/autoupdate/src/org/netbeans/modules/autoupdate/resources/autoupdate.settings,v
 <--  autoupdate.settings
new revision: delete; previous revision: 1.1

/cvs/autoupdate/src/org/netbeans/modules/autoupdate/resources/mf-layer.xml,v 
<--  mf-layer.xml
new revision: 1.36; previous revision: 1.35

/cvs/ide/welcome/src/org/netbeans/modules/welcome/ui/ArticlesAndNews.java,v  <--
 ArticlesAndNews.java
new revision: 1.13; previous revision: 1.12

/cvs/editor/options/src/org/netbeans/modules/options/general/GeneralOptionsModel.java,v
 <--  GeneralOptionsModel.java
new revision: 1.6; previous revision: 1.5

Comment 2 rmatous 2006-11-02 09:54:27 UTC
Fix of this issue caused wanted incompatible change because autoupdate/Settings
is part of public API. There is no way how to achieve this change in compatibl way.

Missing Superclasses or Superinterfaces
---------------------------------------

org.netbeans.modules.autoupdate.Settings:                   interface
java.io.Externalizable
org.netbeans.modules.autoupdate.Settings:                   interface
java.io.Serializable
org.netbeans.modules.autoupdate.Settings:                   superclass
org.openide.options.SystemOption
org.netbeans.modules.autoupdate.Settings:                   interface
org.openide.util.HelpCtx$Provider

Missing Methods
---------------

org.netbeans.modules.autoupdate.Settings:                   method protected
void org.netbeans.modules.autoupdate.Settings.initialize()
org.netbeans.modules.autoupdate.Settings:                   method protected
boolean org.openide.options.SystemOption.clearSharedData()
org.netbeans.modules.autoupdate.Settings:                   method protected
void
org.openide.options.SystemOption.firePropertyChange(java.lang.String,java.lang.Object,java.lang.Object)
org.netbeans.modules.autoupdate.Settings:                   method public final
java.lang.String org.openide.options.SystemOption.getName()
org.netbeans.modules.autoupdate.Settings:                   method protected
final boolean org.openide.options.SystemOption.isReadExternal()
org.netbeans.modules.autoupdate.Settings:                   method protected
final boolean org.openide.options.SystemOption.isWriteExternal()
org.netbeans.modules.autoupdate.Settings:                   method public void
org.openide.options.SystemOption.readExternal(java.io.ObjectInput) throws
java.io.IOException,java.lang.ClassNotFoundException
org.netbeans.modules.autoupdate.Settings:                   method protected
void org.openide.options.SystemOption.reset()
org.netbeans.modules.autoupdate.Settings:                   method public void
org.openide.options.SystemOption.writeExternal(java.io.ObjectOutput) throws
java.io.IOException
org.netbeans.modules.autoupdate.Settings:                   method protected
void org.openide.util.SharedClassObject.addNotify()
org.netbeans.modules.autoupdate.Settings:                   method public static
org.openide.util.SharedClassObject
org.openide.util.SharedClassObject.findObject(java.lang.Class)
org.netbeans.modules.autoupdate.Settings:                   method public static
org.openide.util.SharedClassObject
org.openide.util.SharedClassObject.findObject(java.lang.Class,boolean)
org.netbeans.modules.autoupdate.Settings:                   method protected
final java.lang.Object org.openide.util.SharedClassObject.getLock()
org.netbeans.modules.autoupdate.Settings:                   method protected
final java.lang.Object
org.openide.util.SharedClassObject.getProperty(java.lang.Object)
org.netbeans.modules.autoupdate.Settings:                   method protected
final java.lang.Object
org.openide.util.SharedClassObject.putProperty(java.lang.Object,java.lang.Object)
org.netbeans.modules.autoupdate.Settings:                   method protected
final java.lang.Object
org.openide.util.SharedClassObject.putProperty(java.lang.String,java.lang.Object,boolean)
org.netbeans.modules.autoupdate.Settings:                   method protected
void org.openide.util.SharedClassObject.removeNotify()
org.netbeans.modules.autoupdate.Settings:                   method protected
java.lang.Object org.openide.util.SharedClassObject.writeReplace()
Comment 3 rmatous 2006-11-02 09:55:39 UTC
reopened for apireview
Comment 4 rmatous 2006-11-02 10:00:25 UTC
Jirka, please could you update apichanges.xml, increase spec.version, attach 
diff and reassign to apireviews@netbeans.org for API_REVIEW_FAST.
Comment 5 Jiri Rechtacek 2006-11-02 10:13:37 UTC
Radek, I don't plan do this. I think if you have started this deal then you
should finish it. I have lack of information to write up apichanges.xml etc.
Comment 6 rmatous 2006-11-02 10:43:02 UTC
Created attachment 35725 [details]
apichanges.xml
Comment 7 rmatous 2006-11-02 10:46:12 UTC
Please review.
Comment 8 Jesse Glick 2006-11-02 17:30:05 UTC
Seems fine to me, but why was this package marked public to begin with?
Certainly it should not be public. Seems that three modules have a dep on this;
should switch to a friend dependency.
Comment 9 Jiri Rechtacek 2006-11-13 08:32:01 UTC
> Seems fine to me, but why was this package marked public to begin with?
> Certainly it should not be public.
Autoupdate module is going publish new API (probably under-development in NB6.0)
which will replace "strange" public packages in current Autoupdate module. The
few of users this packages will be guided to adapt new API. So, this public
package will closed soon in NB6.0/M6-7
Comment 10 Jaroslav Tulach 2006-11-13 09:15:46 UTC
Ok, good. To make that real commitment, I am changing the task to something 
trackable by the release criteria.
Comment 11 rmatous 2006-11-13 11:03:14 UTC
Do you want to couple these both issues autoupdate settings && package access ?
Should I commit apichanges according to attachment and reassign to Jirka or what ? 
Comment 12 Jiri Rechtacek 2006-11-13 12:38:59 UTC
Let's separate it to two issues, this one is about changes of autoupdate
settings. And closing Autoupdate's public packages is already tracked as issue
31062. I promise resolve issue 32062 in NB6.0. Replace public as fried package
at first.
Comment 13 Jiri Rechtacek 2006-11-28 13:03:58 UTC
The issue 31062 (Restrict public packages in autoupdate) was fixed. All options
in autoupdate use Preferences API. Reassign back to myself.
Comment 14 Jiri Rechtacek 2006-11-28 13:04:26 UTC
Fixed.
Comment 15 rmatous 2006-11-29 14:16:13 UTC
/cvs/ide/golden/deps.txt,v  <--  deps.txt
new revision: 1.383; previous revision: 1.382

/cvs/autoupdate/apichanges.xml,v  <--  apichanges.xml
new revision: 1.4; previous revision: 1.3

/cvs/autoupdate/nbproject/project.xml,v  <--  project.xml
new revision: 1.26; previous revision: 1.25

/cvs/autoupdate/src/org/netbeans/modules/autoupdate/catalog/ModuleNode.java,v 
<--  ModuleNode.java
new revision: 1.14; previous revision: 1.13

/cvs/autoupdate/src/org/netbeans/modules/autoupdate/catalog/ModuleNodeActions.java,v
 <--  ModuleNodeActions.java
new revision: 1.8; previous revision: 1.7


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo